WBCE CMS Forum

WBCE CMS – Way Better Content Editing.

You are not logged in.

#1 06.06.2021 22:33:23

hpzaun
Member

[erledigt] Unterschiedliche System Requirements auf den Webseiten

Hallo,
ich habe unterschiedliche System Requirements auf den Webseiten gefunden.
Kompatibilität/Systemvoraussetzungen
    WBCE CMS 1.5.0 ist freigegeben für PHP 7.2.5 bis PHP 8.0.x. Darunter oder darüber liegende PHP-Versionen werden nicht unterstützt.

Bitte mal prüfen, welche die Richtige ist.
Zusatzfrage: Ist die Versionsanforderung der Protable-Edition höher als der Normal-Installation?
WBCE CMS 1.5.0 Portable mit PHP 7.4.1 (erfordert Windows 7 oder neuer und Visual C++ Redistributable für Visual Studio 2015).

  1. Git
    https://github.com/WBCE/WBCE_CMS#minimum-requirements
    Minimum requirements
        about 25 MB webspace
        PHP 7.2.5 (released 26 Apr 2018) or newer
        mySQL or MariaDB
        GD Library / Exif / Imagemagick (if you use any module with image processing)
        mod_rewrite (if you use ShortURL)

  2. WBCE DE Downloads
    https://wbce.org/de/downloads/
    Systemvoraussetzungen
    PHP 7.2.5 – PHP 8.0,  MySQL oder MariaDB, ca. 31 MB Webspace, LAMP-Webserver (das übliche - Hauptsache kein IIS o.ä.).
    Für Module mit Bilderfunktionen (News with Images, Galerien): GD Library, Imagemagick, Exif (ist normalerweise verfügbar).
    Für Verwendung von ShortURL: mod_rewrite.
    Für Update Check im Dashboard: cURL

  3. WBCE DE Help
    https://help.wbce-cms.org/pages/install … ements.php
    Um WBCE CMS installieren und verwenden zu können, benötigen Sie im wesentlichen
        einen Webserver wie z.B. Apache (das ist im Normalfall so; WBCE CMS wird mit Microsofts IIS-Webserver möglicherweise nicht funktionieren)
        ca. 20 MB Platz auf dem Webserver für die zu WBCE CMS gehörigen Dateien (Sie sollten natürlich wesentlich mehr Platz zur Verfügung haben, wenn Sie Fotos, Filme, Downloads usw. auf Ihrer Website anbieten wollen)
        PHP 7.1 (für WBCE CMS 1.4.x) oder neuer (WBCE CMS selbst ist getestet bis einschließlich PHP 7.4, es kann ggf. jedoch Anpassungsbedarf bei älteren Modulen geben)
            PHP Session Support muss aktiviert sein
            PHP Safe Mode darf nicht aktiviert sein
            GD Library, imagemagick, exif müssen aktiviert sein (für Galeriemodule sowie News with Images)
            vorausgesetzt wird weiterhin die Verfügbarkeit üblicher Standardfunktionalitäten/-bibliotheken wie cURL, mbstring, Zip, Mail (phpmail oder via SMTP) etc.
        Zugriff auf eine MySQL-Datenbank (mySQL 5.x oder neuer), PHP muss darin lesen, schreiben und auch Tabellen anlegen können
        Wenn SSL verfügbar ist, können und sollten Sie dies benutzen. Es gibt keine Probleme, eine WBCE CMS -Website mit einer verschlüsselten Verbindung über https zu betreiben.
        Details siehe Forum

  4. WBCE EN
    https://help.wbce-cms.org/pages/install … ements.php
    For installing and working with WBCE CMS, you need:
        a web server like Apache (WBCE CMS might not work properly with Microsoft's IIS)
        about 30 MB webspace for the WBCE files (of course you need much more space if you upload photos or offer downloadable multimedia files )
        PHP 7.1.4 (for WBCE CMS 1.4.4) or newer (WBCE CMS is tested up to PHP 7.4)
            PHP Session Support has to be activated
            PHP Safe Mode must not be activated
            usual extensions like cURL, imageMagick, gdlib, Mail etc.
        a MySQL database
        If SSL is available, you can/should use it. WBCE CMS works well with https connections too. (See forum post for details)

Schöne Grüße

Last edited by florian (08.06.2021 07:47:31)

Offline

#2 07.06.2021 06:31:55

florian
Administrator

Re: [erledigt] Unterschiedliche System Requirements auf den Webseiten

Danke für den Hinweis, die Angaben sind jetzt aktualisiert.

Die Portable hat deshalb andere Systemanforderungen, weil diese nicht dazu gedacht ist, auf einem Webserver installiert zu werden, sondern zum Testen lokal auf einem Windows-PC ausgeführt zu werden.


Code allein macht nicht glücklich. Jetzt spenden!

Offline

Board footer

up